Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451082 - FEAT: HwCert catalog should inform whether info test has the 3rd driver in the package review section
Summary: FEAT: HwCert catalog should inform whether info test has the 3rd driver in th...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: XINSUN
QA Contact: Yu Shao
URL: https://hardware.redhat.com/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 18:02 UTC by XINSUN
Modified: 2008-08-04 17:56 UTC (History)
7 users (show)

Fixed In Version: 3.2rh-20080801.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-04 17:56:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fix Patch. (deleted)
2008-06-12 18:05 UTC, XINSUN
no flags Details | Diff
Patch Fix: (deleted)
2008-07-23 01:25 UTC, XINSUN
no flags Details | Diff

Description XINSUN 2008-06-12 18:02:42 UTC
If the info test has the 3rd driver, the catalog should use the warning icon and
little info test to inform that beside "PASS/FAILED" in the packages review section.

Comment 1 XINSUN 2008-06-12 18:05:52 UTC
Created attachment 309117 [details]
Fix Patch.


Pls Review.

Best Regards!
Nicho

Comment 4 XINSUN 2008-07-23 01:25:06 UTC
Created attachment 312408 [details]
Patch Fix: 

1. Hightlight the string "Non-Red Hat kernel module" in result view.

test link 
http://bugdev.devel.redhat.com/hwcert-xisun5/results.cgi?cert_id=456121&id=60516


Another thought we may just highlight the module name?


Pls review. 
Nicho

Comment 5 XINSUN 2008-07-23 01:42:49 UTC
Highlight the module name will cause the result view looks more mess, so think
highlight the string "Non-Red Hat kernel module"  is a good idea. 


Best Regards!
Nicho

Comment 6 Rob Landry 2008-07-23 13:46:55 UTC
Patch and test site looks good to me; either highlight sound ok so if you prefer
to highlight the hts string I don't see fault in that.  Please commit.

Comment 7 XINSUN 2008-07-23 14:28:15 UTC
Checked into cvs.

Nicho

Comment 8 eric_liu 2008-08-01 12:05:19 UTC
tested and run good 


Note You need to log in before you can comment on or make changes to this bug.